Page MenuHomePhabricator

Remove OOUI icon packs from MW 1.25 release
Closed, ResolvedPublic

Description

I suggest we remove OOUI icon packs from MW 1.25 release. They are rather poorly done right now and it would suck if that was people's first impression of them. (Or worse, if they started depending on the existing icons and misfeatures.)

Event Timeline

matmarex created this task.Apr 16 2015, 4:59 PM
matmarex claimed this task.
matmarex raised the priority of this task from to High.
matmarex updated the task description. (Show Details)
matmarex added subscribers: matmarex, Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2015, 4:59 PM

This will make VisualEditor incompatible with MediaWiki 1.25 before it's even released…

VisualEditor master, that is? Doesn't seem like a very big deal to me.

VisualEditor master, that is? Doesn't seem like a very big deal to me.

That's because you're not the one that gets shouted at about it. :-)

I would, however, be the one to get shouted at about icon incompatibilities, because I've had the misfortune to implement most of the code supporting the current unfortunate icon set, and because I intend to be the one to get it sculpted into something more sensible.

If it's any consolation, T91152 will also be a breaking change in this regard, and I intend to do it soon.

Change 204928 had a related patch set uploaded (by Bartosz Dziewoński):
Don't use OOUI icon packs, add 'link' icon

https://gerrit.wikimedia.org/r/204928

Change 204929 had a related patch set uploaded (by Bartosz Dziewoński):
Remove half-baked OOUI icon packs

https://gerrit.wikimedia.org/r/204929

Change 204928 abandoned by Bartosz Dziewoński:
Don't use OOUI icon packs, add 'link' icon

Reason:
Wrong branch.

https://gerrit.wikimedia.org/r/204928

Change 204931 had a related patch set uploaded (by Bartosz Dziewoński):
Don't use OOUI icon packs, add 'link' icon

https://gerrit.wikimedia.org/r/204931

Change 204931 merged by jenkins-bot:
Don't use OOUI icon packs, add 'link' icon

https://gerrit.wikimedia.org/r/204931

Change 204929 merged by jenkins-bot:
Remove half-baked OOUI icon packs

https://gerrit.wikimedia.org/r/204929

matmarex closed this task as Resolved.Apr 20 2015, 9:24 PM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed a subscriber: gerritbot.
Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Apr 29 2015, 9:35 PM